curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/balancesimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/balances"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "1586567700.453054000",
"balances": [
{
"account": "0.15.10",
"balance": 80,
"tokens": [
{
"token_id": "0.0.200001",
"balance": 8
}
]
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}List account balances
Returns a list of account and token balances on the network. This information is limited to at most 50 token balances per account as outlined in HIP-367. As such, it’s not recommended for general use and we instead recommend using either /api/v1/accounts/{id}/tokens or /api/v1/tokens/{id}/balances to obtain the current token balance information and /api/v1/accounts/{id} to return the current account balance.
Query Parameters
Account id or account alias with no shard realm or evm address with no shard realm
^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40}|(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8}))$The optional balance value to compare against
^((gte?|lte?|eq|ne)\:)?\d{1,10}$The account's public key to compare against
The maximum number of items to return
1 <= x <= 100The order in which items are listed
asc, desc The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.
^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(.\d{1,9})?$Was this page helpful?